%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global shortname sigar

Name:		mingw32-%{shortname}
Version:	1.6.4
Release:	1%{?dist}
Summary:	SIGAR (System Information Gatherer And Reporter) Library for Windows

Group:		Libraries
License:	ASL 2.0
URL:		http://sigar.hyperic.com/
Source0:	%{shortname}-%{version}.tbz2
Patch1:		sigar-mingw.patch
#Source0:	http://prdownloads.sourceforge.net/sourceforge/%{shortname}/hyperic-%{shortname}-%{version}-src.tar.gz
BuildRoot:	%{_tmppath}/%{shortname}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	mingw32-gcc cmake
BuildRequires:  redhat-rpm-config make
BuildRequires:  mingw32-filesystem >= 57

BuildArch:      noarch

%description
The Sigar API provides a portable interface for gathering system
information such as:
- System memory, swap, CPU, load average, uptime, logins
- Per-process memory, CPU, credential info, state, arguments,
  environment, open files
- File system detection and metrics
- Network interface detection, configuration info and metrics
- Network route and connection tables

This information is available in most operating systems, but each OS
has their own way(s) providing it. SIGAR provides developers with one
API to access this information regardless of the underlying platform.

#The core API is implemented in pure C with bindings currently
#implemented for Java, Perl and C#.

%prep
#setup -q -n hyperic-%{shortname}-%{version}-src
%setup -q -n %{shortname}-%{version}
%patch1 -p1

%build
PATH=%{_mingw32_bindir}:$PATH

mkdir build
pushd build
%{_mingw32_cmake} ..
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_mingw32_bindir}/libsigar.dll
%{_mingw32_libdir}/libsigar.dll.a
%{_mingw32_includedir}/sigar*.h

%changelog
* Wed Dec 1 2010 Andrew Beekhof <andrew@beekhof.net> - 1.6.0-1
- Initial checkin
